module PRMT

    implicit none

    integer, parameter :: NLON   = 180 
    integer, parameter :: NLAT   = 121
    integer, parameter :: NLEV   = 21 
    integer, parameter :: NLATM1 = NLAT - 1
    integer, parameter :: NLONP1 = NLON + 1
    integer, parameter :: NLONP2 = NLON + 2
    integer, parameter :: NLEVM1 = NLEV - 1
    integer, parameter :: LBUF   = NLONP2 * NLEV * 5
    integer, parameter :: LENTX  = NLONP2 * NLAT * NLEV * 10 + LBUF * 2
    integer, parameter :: NR21   = NLEV + 1
    integer, parameter :: KL     = NLEV
    integer, parameter :: KST    = 17 
    integer, parameter :: KLM    = 21
    integer, parameter :: NTR    = 10
    integer, parameter :: NTRY    = 3
    integer, parameter :: NFFT    = NLON+MOD(NLON,32)+32
    integer, parameter :: LENTXX = NLONP2 * NLAT * NLEV * NTR * 2 + NLONP2 * NLEV * NTR * 2
    integer, parameter :: IA     = 1
    integer, parameter :: LakeModel = 0 ! 0 - off the Lake model, old lakes parametrization with 13 surfaces tupes from VEG 
                                        ! 1 - on the Lake model, online coupling the Lake model with 14 surfaces types from VEGNEW and 
                                        !     lakes depths from ADLake
                                        ! 2 - on the Lake model, old lakes parametrization and offline coupling the Lake model
                                        !     with 14 surfaces types from VEGNEW and a depths from ADLake  


end module PRMT









